<!-- =======================================================================

DART Content Unit DTD

creator.mod    creator module
===========

Version 1.0  July 2002

Copyright (C) 2002 John Wiley & Sons.  All rights reserved.

For documentation, see http://v.wiley.com:3535/dtds/dart-content

Authors:

Internal revision information:
$Id: core.mod,v 1.07 2002/7/26  14:25:23 johnp Exp $

Formal Public Identifier:
PUBLIC "-//JWS//DTD DART-creator 20020726 Vers 1.0 Wiley DART creator //EN"


========================================================================= -->

<!--
=============================================================================
creator
=============================================================================
NOTES

The definition of <creator> is inspired by the 'ONIX Product
Information Guidelines Release 2.0' <Product> record -
see section PR.8 for more information on usage.

-->
    
<!ENTITY % c.creator 
          "( %creatorId;, %sequenceNumber;, %creatorRole;, 
             ( %personName; )?, ( %personNameInverted; )?,
             ( %titlesBeforeNames; )?, ( %namesBeforeKey; )?, 
             ( %prefixToKey; )?, %keyNames;, ( %namesAfterKey; )?, 
             ( %suffixToKey; )?, ( %lettersAfterNames; )?,
             ( %titlesAfterNames; )?,
             %creatorSortKey;, ( %creatorSortKeyOverride; )? )" >
    
<!ENTITY % a.creator 
           "" >

<!ELEMENT %creator; %c.creator; >

<!ATTLIST %creator; %a.creator; >


<!--
=============================================================================
creatorId
=============================================================================
-->

<!ENTITY % c.creatorId
           "( #PCDATA )" >

<!ENTITY % a.creatorId
           "" >

<!ELEMENT %creatorId; %c.creatorId; >

<!ATTLIST %creatorId; %a.creatorId; >


<!--
=============================================================================
creatorRole
=============================================================================
NOTES

The content of this element must be one of these
strings (case sensitive):

agent
associate editor
author
contributor
co-publisher
editor
ghostwriter
illustrator
packager
series editor
software developer
translator

-->
    
<!ENTITY % c.creatorRole 
           "( #PCDATA )" >
    
<!ENTITY % a.creatorRole 
           "" >

<!ELEMENT %creatorRole; %c.creatorRole; >

<!ATTLIST %creatorRole; %a.creatorRole; >


<!--
=============================================================================
creatorSortKey
=============================================================================
-->

<!ENTITY % c.creatorSortKey
           "( #PCDATA )" >

<!ENTITY % a.creatorSortKey
           "" >

<!ELEMENT %creatorSortKey; %c.creatorSortKey; >

<!ATTLIST %creatorSortKey; %a.creatorSortKey; >


<!--
=============================================================================
creatorSortKeyOverride
=============================================================================
-->

<!ENTITY % c.creatorSortKeyOverride
           "( #PCDATA )" >

<!ENTITY % a.creatorSortKeyOverride
           "" >

<!ELEMENT %creatorSortKeyOverride; %c.creatorSortKeyOverride; >

<!ATTLIST %creatorSortKeyOverride; %a.creatorSortKeyOverride; >


<!--
=============================================================================
keyNames
=============================================================================
-->

<!ENTITY % c.keyNames
           "( #PCDATA )" >

<!ENTITY % a.keyNames
           "" >

<!ELEMENT %keyNames; %c.keyNames; >

<!ATTLIST %keyNames; %a.keyNames; >


<!--
=============================================================================
lettersAfterNames
=============================================================================
-->

<!ENTITY % c.lettersAfterNames
           "( #PCDATA )" >

<!ENTITY % a.lettersAfterNames
           "" >

<!ELEMENT %lettersAfterNames; %c.lettersAfterNames; >

<!ATTLIST %lettersAfterNames; %a.lettersAfterNames; >


<!--
=============================================================================
namesAfterKey
=============================================================================
-->

<!ENTITY % c.namesAfterKey
           "( #PCDATA )" >

<!ENTITY % a.namesAfterKey
           "" >

<!ELEMENT %namesAfterKey; %c.namesAfterKey; >

<!ATTLIST %namesAfterKey; %a.namesAfterKey; >


<!--
=============================================================================
namesBeforeKey
=============================================================================
-->

<!ENTITY % c.namesBeforeKey
           "( #PCDATA )" >

<!ENTITY % a.namesBeforeKey
           "" >

<!ELEMENT %namesBeforeKey; %c.namesBeforeKey; >

<!ATTLIST %namesBeforeKey; %a.namesBeforeKey; >


<!--
=============================================================================
personName
=============================================================================
-->

<!ENTITY % c.personName
           "( #PCDATA )" >

<!ENTITY % a.personName
           "" >

<!ELEMENT %personName; %c.personName; >

<!ATTLIST %personName; %a.personName; >


<!--
=============================================================================
personNameInverted
=============================================================================
-->

<!ENTITY % c.personNameInverted
           "( #PCDATA )" >

<!ENTITY % a.personNameInverted
           "" >

<!ELEMENT %personNameInverted; %c.personNameInverted; >

<!ATTLIST %personNameInverted; %a.personNameInverted; >


<!--
=============================================================================
prefixToKey
=============================================================================
-->

<!ENTITY % c.prefixToKey
           "( #PCDATA )" >

<!ENTITY % a.prefixToKey
           "" >

<!ELEMENT %prefixToKey; %c.prefixToKey; >

<!ATTLIST %prefixToKey; %a.prefixToKey; >


<!--
=============================================================================
sequenceNumber
=============================================================================
-->

<!ENTITY % c.sequenceNumber
           "( #PCDATA )" >

<!ENTITY % a.sequenceNumber
           "" >

<!ELEMENT %sequenceNumber; %c.sequenceNumber; >

<!ATTLIST %sequenceNumber; %a.sequenceNumber; >


<!--
=============================================================================
suffixToKey
=============================================================================
-->

<!ENTITY % c.suffixToKey
           "( #PCDATA )" >

<!ENTITY % a.suffixToKey
           "" >

<!ELEMENT %suffixToKey; %c.suffixToKey; >

<!ATTLIST %suffixToKey; %a.suffixToKey; >



<!--
=============================================================================
titlesAfterNames
=============================================================================
-->

<!ENTITY % c.titlesAfterNames
           "( #PCDATA )" >

<!ENTITY % a.titlesAfterNames
           "" >

<!ELEMENT %titlesAfterNames; %c.titlesAfterNames; >

<!ATTLIST %titlesAfterNames; %a.titlesAfterNames; >


<!--
=============================================================================
titlesBeforeNames
=============================================================================
-->

<!ENTITY % c.titlesBeforeNames
           "( #PCDATA )" >

<!ENTITY % a.titlesBeforeNames
           "" >

<!ELEMENT %titlesBeforeNames; %c.titlesBeforeNames; >

<!ATTLIST %titlesBeforeNames; %a.titlesBeforeNames; >

<!-- ================ End of creator.mod ================================  -->
